# Packmangroup: Libraries
# Packmanpackagename: speex
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>Speex is a patent-free audio codec designed especially for voice (unlike Vorbis which targets general audio) signals and providing good narrowband and wideband quality. This project aims to be complementary to the Vorbis codec.</p>
# Packmanpackagedesc_de: <p>Speex ist ein patentfreier Audio-Codec, entwickelt, speziell f&uuml;r Sprachaufnahmen (im Gegensatz zu Vorbes, welches f&uuml;r alle Audioaufzeichnungen gedacht ist).</p>
# norootforbuild

%define major      1
%define lib        libspeex
%define libname    %{lib}%{major}
%define libdsp     libspeexdsp
%define libdspname %{libdsp}%{major}

Name:           speex
Summary:        An Open Source, Patent Free Speech Codec
Summary(de):    Ein OpenSource, Patentfreier Sprachcodec
Version:        1.1.99.99
Release:        1.2
License:        BSD 3-Clause
Group:          System/Libraries
Url:            http://www.speex.org/
Source0:        speex-1.2rc1.tar.bz2
BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}
Requires:       libogg >= 1.1
BuildRequires:  libogg-devel >= 1.1
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  pkgconfig
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libdspname} = %{version}-%{release}

%description
Speex is a patent-free audio codec designed especially for voice (unlike
Vorbis which targets general audio) signals and providing good narrowband
and wideband quality. This project aims to be complementary to the Vorbis
codec.

%description -l de
Speex ist ein patentfreier Audio-Codec, entwickelt, speziell für Sprachaufnahmen
(im Gegensatz zu Vorbes, welches für alle Audioaufzeichnungen gedacht ist).

%package -n %{libname}
Summary:        An Open Source, Patent Free Speech Codec Library
Summary(de):    Ein OpenSource, Patentfreier Sprachcodec Bibliothek
License:        BSD 3-Clause
Group:          System/Libraries
Provides:       %{lib} = %{version}-%{release}
Obsoletes:      %{lib} < %{version}-%{release}

%description -n %{libname}
Speex is a patent free audio codec designed especially for voice
(unlike Vorbis which targets general audio) signals and providing good
narrowband and wideband quality. This project aims to be complementary
to the Vorbis codec.

%description -n %{libname} -l de
Speex ist ein patentfreier Audio-Codec, entwickelt, speziell für Sprachaufnahmen
(im Gegensatz zu Vorbes, welches für alle Audioaufzeichnungen gedacht ist).

%package -n %{libdspname}
Summary:        An Open Source, Patent Free Speech Codec Library
Summary(de):    Ein OpenSource, Patentfreier Sprachcodec Bibliothek
License:        BSD 3-Clause
Group:          System/Libraries
Provides:       %{libdsp} = %{version}-%{release}
Obsoletes:      %{libdsp} < %{version}-%{release}

%description -n %{libdspname}
Speex is a patent free audio codec designed especially for voice
(unlike Vorbis which targets general audio) signals and providing good
narrowband and wideband quality. This project aims to be complementary
to the Vorbis codec.

%description -n %{libdspname} -l de
Speex ist ein patentfreier Audio-Codec, entwickelt, speziell für Sprachaufnahmen
(im Gegensatz zu Vorbes, welches für alle Audioaufzeichnungen gedacht ist).

%package -n %{lib}-devel
Summary:        Development package for SpeeX
Summary(de):    Entwicklungspakete für SpeeX
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libdspname} = %{version}-%{release}
Requires:       glibc-devel
Requires:       libogg-devel >= 1.1
Provides:       speex-devel = %{version}-%{release}
Obsoletes:      speex-devel < %{version}-%{release}

%description -n %{lib}-devel
This package contains the files needed to compile programs that
use the SpeeX library.

%description -n %{lib}-devel -l de
Das Paket enthält die Dateien, die benötigt werden, um Programme
zu kompilieren, die die SpeeX Bibliothek verwenden.

%debug_package

%prep
%setup -n %{name}-1.2rc1

%build
#if [ ! -f configure ]; then
#   NO_CONFIGURE=1 ./autogen.sh
#fi
%{?suse_update_config:%{suse_update_config -f}}
%if 0%{?suse_version}
autoreconf --force --install
%endif
%configure --enable-shared=yes --disable-static --with-ogg-libraries=%{_libdir}
%{__make} %{?jobs:-j%{jobs}}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
mkdir %{buildroot}
%{makeinstall}

%{__rm} -rf %{buildroot}%{_datadir}/doc/%{name}*
%{__rm} -f %{buildroot}%{_libdir}/*.a

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}


%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
%post -n %{libdspname} -p /sbin/ldconfig
%postun -n %{libdspname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%doc %{_mandir}/man?/*
%{_bindir}/speex*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libspeex.so.%{major}*

%files -n %{libdspname}
%defattr(-,root,root)
%{_libdir}/libspeexdsp.so.%{major}*

%files -n %{lib}-devel
%defattr(-, root, root)
%doc README.TI-DSP README.blackfin README.symbian
%doc doc/manual.pdf
%{_includedir}/*
%{_libdir}/lib*.*a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4

%changelog
* Tue Aug 25 2009 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 1.1.99.99-1.pm.2
- libspeexdsp excluded in a spearate package
* Tue Aug 25 2009 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 1.1.99.99-1.pm.1
- cleanups where rpmlint wasn't so happy
* Fri Jul 25 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 1.2rc1
* Mon Dec 10 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 1.2beta3
* Tue Sep 05 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 1.2beta1
* Wed Feb 22 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 1.1.12
* Tue Dec 06 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 1.1.11.1 bugfix version
* Thu Nov 24 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 1.1.11
* Mon Jun 14 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 1.1.10
* Sat Jun 04 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 1.1.9
* Sun May 08 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 1.1.8
* Sat Mar 05 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 1.1.7
* Thu Jul 29 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 1.1.6
* Sat Nov 22 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 1.0.3
* Sat Oct 11 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 1.0.2
* Sat Jul 26 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- first spec file
